; $Date: 2006/11/09 $
; $Revision: #1 $
;
; -----------------------------------------------------------------------------
;
; The information in this file is used to discover if any firewalls are installed AND
; running on the system.  This information can then used to properly message connection
; failures, in case a firewall is blocking connectivity.
;
; The format for this file is as follows:
;
; [Name of Firewall]
; VendorId=<n>
; RegKey1=<RegKey>
; RegKey2=<RegKey>
; .
; .
; .
; RegValue1=<RegValue>
; RegValue2=<RegValue>
; .
; .
; .
; Process1=<ProcessName>
; Process2=<ProcessName>
; .
; .
; .
;
; -----------------------------------------------------------------------------
;
; Where <RegKey> is a registry KEY, with an optional root key prefix.  For example:
;
;   RegKey1=HKEY_LOCAL_MACHINE:Software\Zone Labs\ZoneAlarm
;
; and the prefix in this case is HKEY_LOCAL_MACHINE:
;
; The prefix can be any one of:
;   HKEY_LOCAL_MACHINE:
;   HKEY_CLASSES_ROOT:
;   HKEY_CURRENT_USER:
;   HKEY_USERS:
;
; Further, the prefix is optional, and if omitted defaults to HKEY_LOCAL_MACHINE:
; You can specify as many RegKey1=<RegKey> lines as you like, but make sure there is
; NO GAP in the numbers used in the RegKeyN= key.  In otherwords, if you
; want to specify three reg keys to look for, then you MUST use RegKey1=...,
; RegKey2=... and RegKey3=...
; If you used 1, 2 and 4 then the "4" item would not get checked.
;
; -----------------------------------------------------------------------------
;
; Where <RegValue> is a registry VALUE, with an optional root key prefix.  For example:
;
;   RegValue1=HKEY_LOCAL_MACHINE:Software\Zone Labs\OEM
;
; <RegValue> works EXACTLY THE SAME as <RegKey>, EXCEPT that it looks for a VALUE.
;
; In the example, above, HKEY_LOCAL_MACHINE:Software\Zone Labs is the KEY, and OEM is
; the value in that KEY.  That actual contents of the OEM value are IGNORED.  It is
; simply checked for EXISTENCE, when determining if the firewall entry is present on
; the machine.
;
; -----------------------------------------------------------------------------
;
; Where <ProcessName> is the name of a process that will be *running* on the machine
; when the firewall check is done.  For example:
;   Process1=MpfAgent.exe
;   Process2=MpfTray.exe
;
; The comparison of process names is done without regard for upper/lower case.
; When deciding what to use for a process name, a good guide is to use what
; task manager displays.
; The numbering rules for Process1= Process2= etc are the same as for RegKey1=, as
; mentioned above.
;
; -----------------------------------------------------------------------------
;
; As an example, here is a section that will match against a McAfee firewall:
;
;   [McAfee]
;   VendorId=1
;   RegKey1=HKEY_LOCAL_MACHINE:Software\McAfee.com\Personal Firewall
;   Process1=MpfAgent.exe
;   Process2=MpfTray.exe
;
; All three items (1 reg key & 2 processes) MUST be found for the firewall to
; be considered "found".
;
; WARNING: The strings in this file should NOT BE LOCALIZED, unless you really,
; really, really know what you are doing.
;
; -----------------------------------------------------------------------------

[McAfee]
RegKey1=HKEY_LOCAL_MACHINE:Software\McAfee.com\Personal Firewall
Process1=MpfAgent.exe
Process2=MpfTray.exe
WizardDirectoryRegKey=HKEY_LOCAL_MACHINE:Software\McAfee.com\Personal Firewall\Install Dir
WizardExecuteProcess=mpfagent.exe /INVOKE:View:Tools

[McAfee v2.10]
RegKey1=HKEY_LOCAL_MACHINE:Software\McAfee\McAfee Firewall
Process1=cpd.exe

[Norton]
RegKey1=HKEY_LOCAL_MACHINE:Software\Symantec\SymNetDrv
RegValue1=HKEY_LOCAL_MACHINE:Software\Symantec\InstalledApps\Norton Internet Security
Process1=ccpxysvc.exe

[Norton 2002 DE]
RegKey1=HKEY_LOCAL_MACHINE:Software\Symantec\IAM
RegValue1=HKEY_LOCAL_MACHINE:Software\Symantec\InstalledApps\Norton Internet Security
Process1=NISSERV.EXE
Process2=Sympxsvc.exe

[Norton 2002]
RegKey1=HKEY_LOCAL_MACHINE:Software\Symantec\IAM
RegValue1=HKEY_LOCAL_MACHINE:Software\Symantec\InstalledApps\Norton Internet Security
Process1=NISSERV.EXE
Process2=SYMPROXYSVC.EXE

[Norton 03/04]
RegKey1=HKEY_LOCAL_MACHINE:Software\CLASSES\CcFWSettg.FirewallSettings
RegValue1=HKEY_LOCAL_MACHINE:Software\Symantec\InstalledApps\Norton Internet Security
Process1=ccapp.exe
WizardDirectoryRegKey=HKEY_LOCAL_MACHINE:Software\Symantec\InstalledApps\Norton Internet Security
WizardExecuteProcess=HNetWiz.exe

[ZoneAlarm Pro]
RegKey1=HKEY_LOCAL_MACHINE:Software\Zone Labs\ZoneAlarm
Process1=ZAPro.exe

[ZoneAlarm Plus]
RegKey1=HKEY_LOCAL_MACHINE:Software\Zone Labs\ZoneAlarm
Process1=zlclient.exe

[ZoneAlarm]
RegKey1=HKEY_LOCAL_MACHINE:Software\Zone Labs\ZoneAlarm
Process1=zonealarm.exe

[ZoneAlarm plus 3.7]
RegKey1=HKEY_LOCAL_MACHINE:Software\Zone Labs\ZoneAlarm
Process1=zaplus.exe

[PC-Cillin]
RegKey1=HKEY_LOCAL_MACHINE:Software\TrendMicro\PC-cillin
Process1=pccguide.exe
Process2=PCCPFW.exe
Process3=tmproxy.exe

[BlackICE]
RegKey1=HKEY_LOCAL_MACHINE:Software\Network Ice\BlackIce
Process1=BlackD.exe
Process2=BlackIce.exe

;
; Generic firewalls (i.e. not specifically recognized by vendor name)
;

[Tiny Personal Firewall 5.5]
RegKey1=HKEY_LOCAL_MACHINE:Software\Tiny Software\Tiny Personal Firewall
Process1=UmxTray.exe
Process2=UmxAgent.exe
Process3=UmxPol.exe
Process4=UmxCfg.exe

[Tiny Personal Firewall 4.5]
RegKey1=HKEY_LOCAL_MACHINE:Software\Tiny Software\Tiny Personal Firewall
Process1=amon.exe

[Sygate Personal Firewall]
RegKey1=HKEY_LOCAL_MACHINE:Software\Sygate Technologies, Inc.\Sygate Personal Firewall
Process1=smc.exe

[Panda Internet Security]
RegKey1=HKEY_LOCAL_MACHINE:Software\Panda Software\Firewall
Process1=apvxdwin.exe

[Panda Internet Security 2006]
RegKey1=HKEY_LOCAL_MACHINE:Software\Panda Software\Firewall
Process1=PavFnSvr.exe

[F-Secure Internet Security 2006]
RegKey1=HKEY_LOCAL_MACHINE:Software\F-Secure
Process1=fspex.exe

[NVidia ActiveArmor Firewall]
RegKey1=HKEY_LOCAL_MACHINE:System\CurrentControlSet\Services\nvnetbus
Process1=nSvcIp.exe

[VCOM NetDefense Firewall]
RegKeyEnable=HKEY_LOCAL_MACHINE:SOFTWARE\VCOM\Firewall\Enabled$1
Process1=MXTask.exe
